jQuery(document).ready(() => {
    const { __ } = wp.i18n;

    // gets file permission
    var config_permission= dawufeg_data.dawufeg_per;

     // disable option and display error message on wp-config file no write permission.
     if (  0 < config_permission ) {
        jQuery( ".dawufeg_nonaccess" ).hide();
    } else {
        jQuery( ".dawufeg_nonaccess" ).show();
        jQuery( ".dawufeg_note" ).hide();
        jQuery( "input[name='dawufeg_uploads'], input[name='dawufeg_editor'], input[name='dawufeg_debug'], input[name='dawufeg_debug_log'], input[name='dawufeg_debug_display'], input[name='dawufeg_fs_method']").attr( 'disabled', true );
    }

    // display yes or no on switch on checked or unchecked condition when page load.
    jQuery('input[type=checkbox]').each(function () {
        let checkboxLabel = jQuery(this).siblings();
        if ( this.checked ) {
            checkboxLabel.text(__('Yes', 'disable-wordpress-automatic-updates-theme-editors'));
            checkboxLabel.css({"align-items" : "center", "color" : "white", "padding-left" : "9%", "font-size" : "11px" });
        } else {
            checkboxLabel.text(__('No', 'disable-wordpress-automatic-updates-theme-editors'));
            checkboxLabel.css({"align-items" : "center", "color" : "Black", "padding-left" : "58%", "font-size" : "11px" });
        }
    });

    // display yes or no on switch on checked or unchecked condition on swtiched is on or off
    jQuery(document).on("change", "input[type='checkbox']", function () {
        let checkboxLabel = jQuery(this).siblings();
        if ( this.checked ) {
            checkboxLabel.text(__('Yes', 'disable-wordpress-automatic-updates-theme-editors'));
            checkboxLabel.css({"align-items" : "center", "color" : "white", "padding-left" : "9%", "font-size" : "11px" });
        }else {
            checkboxLabel.text(__('No', 'disable-wordpress-automatic-updates-theme-editors'));
            checkboxLabel.css({"align-items" : "center", "color" : "Black", "padding-left" : "58%", "font-size" : "11px" });
        }
    });

     // redirect to same page after rated.
    jQuery(".dawufeg_hide_rate").click(function (event) {
        event.preventDefault();
        jQuery.ajax({
            method: 'POST',
            url: dawufeg_data.url,
            data: {
                action: 'dawufeg_update',
                nonce: dawufeg_data.nonce,
            },
            success: (res) => {
                window.location.href = window.location.href
            }
        });
    });

});
