<?php
/**
 * Guternburg disable/enable settings.
 */
function dawufeg_guternburg_setting_callback() {

	// if guternburg option is not enable then block editor will be shown .
	if ( empty( get_option( 'dawufeg_gutenburg' ) ) || 0 === get_option( 'dawufeg_gutenburg' ) ) {
		add_filter( 'use_block_editor_for_post_type', '__return_true' );
	} else {
		add_filter( 'use_block_editor_for_post_type', '__return_false' );
	}

	// if option is disabled then block widget editor will be enabled .
	if ( empty( get_option( 'dawufeg_gutenburg_widget' ) ) || 0 === get_option( 'dawufeg_gutenburg_widget' ) ) {
		add_filter( 'use_widgets_block_editor', '__return_true' );
	} else {
		add_filter( 'use_widgets_block_editor', '__return_false' );
	}
}
